# driveItems.createChild

Create a folder or document inside a folder.

`POST /api/v1/drive-items/{itemId}/children`

- SDK: [`tb.driveItems.createChild(input)`](/sdk)
- CLI: [`thinkbench drive-items create-child`](/cli)
- MCP tool: [`drive_items_create_child`](/mcp)

## Input

| Field | Type | In | Description |
| --- | --- | --- | --- |
| `itemId` | `string` | path |  |
| `name` | `string` | body |  |
| `driveItemType` | `"folder"` \| `"docs_workbook"` \| `"viz_workbook"` | body |  |

## Output

| Field | Type | Description |
| --- | --- | --- |
| `item` | [DriveItem](/api/objects/drive-item) |  |

## Examples

### curl

```bash
curl -X POST "https://app.thinkbench.com/api/v1/drive-items/<itemId>/children" \
  -H "x-api-key: $THINKBENCH_API_KEY" \
  -H "content-type: application/json" \
  -d '{"name":"Q3 planning","driveItemType":"folder"}'
```

### TypeScript SDK

```ts
const result = await tb.driveItems.createChild({ itemId: "<itemId>", name: "Q3 planning", driveItemType: "folder" });
```

### CLI

```bash
thinkbench drive-items create-child --item-id "<itemId>" --name "Q3 planning" --drive-item-type "folder"
```

### MCP

```json
{
  "name": "drive_items_create_child",
  "arguments": {
    "itemId": "<itemId>",
    "name": "Q3 planning",
    "driveItemType": "folder"
  }
}
```
